### Function

# AppStream is_spdx_license_expression

since: 0.9.8

#### Declaration [src]

    gboolean
    as_is_spdx_license_expression (
      const gchar* license
    )

#### Description [src]

Checks the licence string to check it being a valid licence. NOTE: SPDX licenses can’t typically contain brackets.

Available since: 0.9.8

#### Parameters

`license`

  Type: `const gchar*`

  A SPDX license string, e.g. “CC-BY-3.0 and GFDL-1.3”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the icon is a valid “SPDX license”.